]> git.puffer.fish Git - mirror/frr.git/commitdiff
2004-12-21 Andrew J. Schorr <ajschorr@alumni.princeton.edu>
authorajs <ajs>
Wed, 22 Dec 2004 03:02:46 +0000 (03:02 +0000)
committerajs <ajs>
Wed, 22 Dec 2004 03:02:46 +0000 (03:02 +0000)
* redhat/watchquagga.init: New file, init script for watchquagga.

ChangeLog
redhat/watchquagga.init [new file with mode: 0644]

index 69b0875668df33b1c0f975f501719c70663789c1..37197794d01287e659b2100655b8e263116a7a0c 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2004-12-21 Andrew J. Schorr <ajschorr@alumni.princeton.edu>
+
+       * redhat/watchquagga.init: New file, init script for watchquagga.
+
 2004-12-03 Andrew J. Schorr <ajschorr@alumni.princeton.edu>
 
        * HACKING: Indicate that header files should be consulted for
diff --git a/redhat/watchquagga.init b/redhat/watchquagga.init
new file mode 100644 (file)
index 0000000..74299e3
--- /dev/null
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# chkconfig: 2345 17 83
+# description: A Quagga watchdog for use with Zebra
+#
+# processname: watchquagga
+
+# source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# quagga command line options
+. /etc/sysconfig/quagga
+
+# Check that networking is up.
+[ "${NETWORKING}" = "no" ] && exit 0
+
+# Check that there are daemons to be monitored.
+[ -z "$WATCH_DAEMONS" ] && exit 0
+
+RETVAL=0
+prog="watchquagga"
+
+case "$1" in
+  start)
+       echo -n $"Starting $prog: "
+        daemon /usr/sbin/watchquagga -d $WATCH_OPTS $WATCH_DAEMONS
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/watchquagga
+       echo
+       ;;
+  stop)
+       echo -n $"Shutting down $prog: "
+       killproc watchquagga
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/watchquagga
+       echo
+       ;;
+  restart|reload)
+        $0 stop
+        $0 start
+       RETVAL=$?
+        ;;
+  condrestart)
+        if [ -f /var/lock/subsys/watchquagga ]; then
+                $0 stop
+               $0 start
+        fi
+       RETVAL=$?
+        ;;
+  status)
+        status watchquagga
+       RETVAL=$?
+        ;;
+  *)
+       echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
+       exit 1
+esac
+
+exit $RETVAL